# read first line of workfile -> like "5000000000000:M:1:2:258"
BEGIN {getline workline <"workfile.bak"}

{ 
  k = substr($1,1,index($1,"*")-1)	# read k- and n-value from line
  sign = index($1,"-")
  if (sign == 0) {sign = index($1,"+")}
  n = substr($1,index($1,"^")+1,sign-index($1,"^")-1)
  ok = 0

  if ((index($0,"not prime")>0)	|| (index($0,"but composite")>0))		# not a prime
    { prim = "-2"
      if (index($0,"RES64:") > 0)
        res = substr($0,index($0,"RES64:")+7,16)
      else if (index($0,"Res64:") > 0)
        res = substr($0,index($0,"Res64:")+7,16)
      else if (index($0,"trial") > 0)
        res = "trial_factored"
      ok = 1
    }

  else if (index($0,"is prime")>0 || index($0,"probable")>0)	# prime found?
    { prim = "0"
      res = "0"
      ok = 1
    }

  else if (index($0,"small factor")>0)		# factor found
    { prim = "-2"
      res = "small_factor"
      ok = 1
    }
  else if (index($0,"Frobenius PRP")>0)		# PRP
    { prim = "0"
      res = "Frobenius_PRP"
      ok = 1
    }
  else
    {		# if no probable/prime or normal result -> do nothing
    }

  if (ok == 1)
    print workline" "k" "n" "prim" "res >>"tosend.txt"		# create the line in tosend.txt
}